Bug 29549 - bug (& solution) in /etc/sysconfig/static-routes
bug (& solution) in /etc/sysconfig/static-routes
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-26 09:52 EST by Tony Mossop
Modified: 2014-03-16 22:19 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-05 12:24:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tony Mossop 2001-02-26 09:52:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)


There is a mismatch between /etc/rc2.d/S10network and /sbin/route that
causes failure in the setup of static-routes read from the
/etc/sysconfig/static-routes file. The S10network script explicitly removes
all references to the "gw" gateway flag in the static-routes table that it
passes through to the /sbin/route command (a la sysV conventions). However,
/sbin/route follows BSD conventions and expects the "gw" flag before the
gateway address, failure to include this flag returns the error:
SIOCADDRT: No such device.



Solution: EITHER change the /etc/rc2.d/S10network script removing the
marked lines

[rm]              if [ "${bogus}" = "gw" ]; then
[rm]                /sbin/route add -$type $dest $netmask $mask $args
[rm]              else
                /sbin/route add -$type $dest $netmask $mask $bogus $args
[rm]              fi

OR

allow /sbin/route to understand both BSD and sysV syntax (i.e. have the gw
flag be optional). This is probably the better solution.



cheers
Tony



Reproducible: Always
Steps to Reproduce:
1. see description
2.
3.
	

Actual Results:  see description

Expected Results:  see description

This bugzilla interface is really very irritating, I seriously doubt I'll
bother to do this next time. Is it still possible to send bug reports to
bugs@redhat.com ? As not all bug reports fit this forms
based approach.
Comment 1 Bill Nottingham 2001-02-26 09:57:35 EST
No, you can't send bugs to bugs@redhat; however, at the top of the new
bug page is a 'Skip all this and go to the standard bug entry form' link,
which allows you to enter free-form text...
Comment 2 Bill Nottingham 2001-03-05 12:24:13 EST
This was put there to work around problems with certain (broken)
config tools, that wrote silly things like:

etho net 192.168.1.0 netmask 255.255.255.0 gw eth0

which is, of course, bogus.
Comment 3 Bill Nottingham 2001-03-05 15:31:10 EST
Will be fixed in 5.70-1; thanks!

Note You need to log in before you can comment on or make changes to this bug.